BufferingTermFreqIteratorWrapper (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.suggest
Class BufferingTermFreqIteratorWrapper

    java.lang.Object
      org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper

All Implemented Interfaces:
  TermFreqIterator, BytesRefIterator

Direct Known Subclasses:
  UnsortedTermFreqIteratorWrapper

    public class BufferingTermFreqIteratorWrapper

extends Object
implements TermFreqIterator

This wrapper buffers incoming elements.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Field Summary
`protected int` | `curPos`
`protected BytesRefList` | `entries`
`protected long[]` | `freqs`

Fields inherited from interface org.apache.lucene.util.BytesRefIterator
`EMPTY`

Constructor Summary
`BufferingTermFreqIteratorWrapper(TermFreqIterator source)`

Method Summary
`Comparator<BytesRef>` | `getComparator()` Return the `BytesRef` Comparator used to sort terms provided by the iterator.
`BytesRef` | `next()` Increments the iteration to the next `BytesRef` in the iterator.
`long` | `weight()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entries

    protected BytesRefList entries

### curPos

    protected int curPos

### freqs

    protected long[] freqs

Constructor Detail

### BufferingTermFreqIteratorWrapper

    public BufferingTermFreqIteratorWrapper(TermFreqIterator source)
                                     throws IOException

Throws:
  `IOException`

Method Detail

### weight

    public long weight()

  Specified by:
    `weight` in interface `TermFreqIterator`

### next

    public BytesRef next()
                  throws IOException

  Description copied from interface: `BytesRefIterator`
  Increments the iteration to the next `BytesRef` in the iterator. Returns the resulting `BytesRef` or `null` if the end of the iterator is reached. The returned BytesRef may be re-used across calls to next. After this method returns null, do not call it again: the results are undefined.

  Specified by:
    `next` in interface `BytesRefIterator`
  Returns:
    the next `BytesRef` in the iterator or `null` if the end of the iterator is reached.
  Throws:
    `IOException`

### getComparator

    public Comparator<BytesRef> getComparator()

  Description copied from interface: `BytesRefIterator`
  Return the `BytesRef` Comparator used to sort terms provided by the iterator. This may return null if there are no items or the iterator is not sorted. Callers may invoke this method many times, so it's best to cache a single instance & reuse it.

  Specified by:
    `getComparator` in interface `BytesRefIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD